//+------------------------------------------------------------------+
//|                                                      EA Test.mq5 |
//|                                                      Jin W Chung |
//|                                               jwchung@uol.com.br |
//+------------------------------------------------------------------+
#property copyright "Jin W Chung"
#property link      "jwchung@uol.com.br"
#property version   "1.00"
//---
#include <Indicators\Oscilators.mqh>
#include <Indicators\TimeSeries.mqh>
//---
CiMACD m_MACD;
CiTime m_time;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   int m_handle=FileOpen("MACD.txt",FILE_WRITE|FILE_READ|FILE_ANSI);
//---
   m_MACD.Create("EURUSD",PERIOD_H2,12,24,9,PRICE_CLOSE);
   m_MACD.Refresh();
//---

   m_time.Create("EURUSD",PERIOD_H2);
   m_time.Refresh();
//---   
   for(int i=250;i>=0;i--)
     {
      FileWrite(m_handle,(string)m_time.GetData(i)+" .. "+(string)m_MACD.Main(i));
     }
//---         
   FileClose(m_handle);
   return(0);
  }
